Bug 825898 - sound output is now crackling unbearably
sound output is now crackling unbearably
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: alsa-plugins (Show other bugs)
16
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 22:10 EDT by Brad Rubenstein
Modified: 2013-01-22 23:22 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 23:22:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of pulseaudio -vvvvv while crackling is occurring. (86.13 KB, application/octet-stream)
2012-05-28 22:10 EDT, Brad Rubenstein
no flags Details

  None (edit)
Description Brad Rubenstein 2012-05-28 22:10:34 EDT
Created attachment 587299 [details]
output of pulseaudio -vvvvv while  crackling is occurring.

Description of problem:
Sounds, such as the skype audio, are crackly and indecipherable.

Version-Release number of selected component (if applicable):
alsa-plugins-pulseaudio-1.0.25-3.fc16.i686
kernel-PAE-3.3.7-1.fc16.i686
pulseaudio-utils-0.9.23-1.fc16.i686
pulseaudio-module-bluetooth-0.9.23-1.fc16.i686
pulseaudio-module-x11-0.9.23-1.fc16.i686
pulseaudio-libs-glib2-0.9.23-1.fc16.i686
pulseaudio-0.9.23-1.fc16.i686
pulseaudio-module-gconf-0.9.23-1.fc16.i686
pulseaudio-gdm-hooks-0.9.23-1.fc16.i686
pulseaudio-libs-0.9.23-1.fc16.i686



How reproducible:
Start an audio program such as skype.  Startup sound and subsequent audio are
all crackly.

Additional info:
pulseaudio -vvvvv reports lots of underruns while the crackling occurs.

Killing pulseaudio and running skype against the alsa drivers directly works fine.

This regressed in the past month or so.  It was working fine earlier in the the F16 release stream.


Hardware:
Asus EEE PC 1201N

# lspci -v -s 00:08.0
00:08.0 Audio device: nVidia Corporation MCP79 High Definition Audio (rev b1)
	Subsystem: ASUSTeK Computer Inc. Device 83ce
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 23
	Memory at f9f78000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: snd_hda_intel
	Kernel modules: snd-hda-intel

# lsmod | grep snd_hda
snd_hda_codec_hdmi     31469  1 
snd_hda_codec_realtek   121580  1 
snd_hda_intel          32323  0 
snd_hda_codec         102795  3 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep              13236  1 snd_hda_codec
snd_pcm                81170  3 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
snd                    62853  9 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
snd_page_alloc         13709  2 snd_hda_intel,snd_pcm
Comment 1 Brad Rubenstein 2012-06-13 11:34:47 EDT
I am noticing that my laptop CPU (Intel Atom) is now automatically being clocked down from 1.6GHz to 600MHz quite often; I presume this is in response to a thermal signal.  My understanding is that this is new behavior with recently implemented kernel-side frequency scaling.  At the slower clockspeed, pulseaudio becomes unusable in the way I report in this bug.

So I'm willing to chalk this bug up to the new cpu scaling system, and thermal sensitivity on my laptop.
Comment 2 Brendan Jones 2012-06-15 05:36:53 EDT
assigning to kernel
Comment 3 Sebastian Krämer 2012-06-15 06:45:44 EDT
I removed .pulse/ (with files from a previous installation, eventually!) and haven't had any issues since. (It's only a few days ago so I'm not sure if that will work for anyone else and if this bug is about the same crackling sound I was experiencing. Anyhow, it might be worth a try.)
Comment 4 Josh Boyer 2012-09-17 14:29:35 EDT
Are you still seeing this with the 3.4 or 3.5 kernel updates?  If so, does the suggestion in comment #3 help?
Comment 5 Evgeny F 2012-10-18 20:17:23 EDT
I am seeing this bug with 3.6.1-1.fc17.x86_64 kernel. Restarting pulseaudio daemon helps for a time. Strangely sometimes the problem is present in VLC but not in Dragon player. After pulseaudio restart VLC works fine too.
Comment 6 Dan Mashal 2012-10-22 23:04:01 EDT
Try "yum remove alsa-plugins-pulseaudio" and open the mixer and change the default device.
Comment 7 Fedora End Of Life 2013-01-16 09:33:17 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.